private void SyncTestButton_Click(object sender, EventArgs e)
{
    Log.Debug("* REPLICATION BUTTON PRESS");

    var url = new Uri("ws://ec2-instance.eu-west.compute.amazonaws.com:4984/bucket");
    var config = new ReplicatorConfiguration(DatabaseManager.Instance.Database, url)
    {
        //Authenticator = new BasicAuthenticator("GUEST", ""),
        Authenticator = new SessionAuthenticator(UserService.Instance.CurrentLogin.Token.SessionId, UserService.Instance.CurrentLogin.Token.Expires, UserService.Instance.CurrentLogin.Token.Name),
        Continuous = false,
        ReplicatorType = ReplicatorType.PushAndPull
    };
    var replication = new Replicator(config);
    replication.StatusChanged += (obj, args) =>
    {
        Log.Debug("* REPLICATION STATUS: {Status}", args.Status.Activity);
        if (args.Status.Progress.Total > 0)
            Log.Debug("* REPLICATION PROGRESS: {Completed} / {Total}", args.Status.Progress.Completed, args.Status.Progress.Total);
        if (args.LastError != null)
            Log.Debug("* REPLICATION ERROR {ExceptionType}: {Message}", args.LastError.GetType(), args.LastError.Message);
    };

    try
    {
        replication.Start();
    }
    catch (Exception ex)
    {
        Log.Error("REPLICATION Exception {ExceptionType}: {Message}", ex.GetType(), ex.Message);
    }
}